Bug 252032 - autofs does not log enough data to troubleshoot replicated server selection
Summary: autofs does not log enough data to troubleshoot replicated server selection
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-13 20:28 UTC by Jeff Moyer
Modified: 2009-01-20 21:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:45:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ported version 4 patch to add replicated server debug logging (5.17 KB, patch)
2008-09-18 05:15 UTC, Ian Kent
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0178 normal SHIPPED_LIVE autofs bug fix update 2009-01-20 16:05:44 UTC

Description Jeff Moyer 2007-08-13 20:28:28 UTC
+++ This bug was initially created as a clone of Bug #240972 +++

Description of problem:
In the past, autofs has chosen an overloaded server instead of a lightly loaded
server.  In order to debug such problems, it would be useful to have more
insight into what the autofs daemon is doing.  Some simple logging statements in
the replicated server selection code should do the trick.

Version-Release number of selected component (if applicable):
autofs-4.1.3-199.2

-- Additional comment from jmoyer@redhat.com on 2007-08-13 14:14 EST --
Created an attachment (id=161196)
Add a daemon option to set the log priority at run-time.


-- Additional comment from jmoyer@redhat.com on 2007-08-13 14:17 EST --
(In reply to comment #1)
> Created an attachment (id=161196) [edit]
> Add a daemon option to set the log priority at run-time.

Heh.  Wrong bug!  This was meant for bz 240973.

-- Additional comment from jmoyer@redhat.com on 2007-08-13 16:27 EST --
Created an attachment (id=161222)
Log debug information to help troubleshoot replicated server problems.

Comment 1 Ian Kent 2008-01-24 10:23:13 UTC
Sorry, didn't have enough time to get this into RHEL-5.2.

Comment 2 RHEL Product and Program Management 2008-06-02 20:33:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Ian Kent 2008-09-18 05:15:54 UTC
Created attachment 317031 [details]
Ported version 4 patch to add replicated server debug logging

Comment 8 errata-xmlrpc 2009-01-20 21:45:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0178.html


Note You need to log in before you can comment on or make changes to this bug.